IF OBJECT_ID('[Jobs_Extended]') IS NOT NULL DROP VIEW [Jobs_Extended]
GO

CREATE VIEW [Jobs_Extended]
AS

	SELECT J.[Job_Id]
          ,J.[JobType_Code]
          ,J.[Plan_Name]
          ,J.[Raft_Id]
          ,R.[Raft_Name]
          ,J.[Job_Name]
          ,J.[JobTarget_Code]
          ,J.[Start_Date]
          ,J.[LastRun_Date]
          ,J.[Simulation_Indicator]
          ,J.[JobState_Code]

          ,S.[Schedule_Id]
          ,S.[Schedule_Name]
          
          ,S.[Schedule_Configuration]
          ,[Schedule_Active_Indicator] = S.[Active_Indicator]

          ,[LatestCompleted_Execution_Id] = E_LATEST.[Execution_Id]
          ,[LatestCompleted_Execution_Start_Date] = E_LATEST.[Start_Date]

		  ,J.[TriggeredByTemplate_Id]
		  ,[TriggeredByTemplate_Name] = JT.[JobTemplate_Name]


	  FROM [Jobs] J
 
 OUTER APPLY (
    SELECT TOP 1 E.*
      FROM [Executions] E
     WHERE E.[Job_Id] = J.[Job_Id]
       AND E.[ExecutionRunState_Code] = 'C'
 ) E_LATEST

 LEFT JOIN [Rafts] R
        ON R.[Raft_Id] = J.[Raft_Id]

 LEFT JOIN [Schedules] S
        ON S.[Schedule_Id] = J.[Schedule_Id]

 LEFT JOIN [JobTemplates] JT
		ON JT.[JobTemplate_Id] = J.[TriggeredByTemplate_Id]
     

GO
