EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutionsForServer',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all executions associated with a server.'
GO

IF OBJECT_ID('[Executions_GetExecutionsForServer]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutionsForServer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutionsForServer]
(
	@Server_Id INT,
    @Execution_Count INT = NULL,
    @ExecutionRunState_Code CHAR(1) = NULL,
    @ExecutionStatus_Code CHAR(1) = NULL,
	@ExecutionMode_Code CHAR(1) = NULL
)
AS
BEGIN

SET NOCOUNT ON

    IF @Execution_Count IS NOT NULL
        SET ROWCOUNT @Execution_Count

    SELECT * 
      FROM [Executions_Extended]
     WHERE ([Server_Id] = @Server_Id)
	   AND (@ExecutionRunState_Code IS NULL OR [ExecutionRunState_Code] = @ExecutionRunState_Code)
       AND (@ExecutionStatus_Code IS NULL OR [ExecutionStatus_Code] = @ExecutionStatus_Code)
	   AND (@ExecutionMode_Code IS NULL OR [ExecutionMode_Code] = @ExecutionMode_Code)
     ORDER BY [Execution_Id] DESC

END
GO

GRANT EXECUTE ON [Executions_GetExecutionsForServer] TO [OtterUser_Role]
